Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DLAMCH

    java.lang.Object
      org.netlib.lapack.DLAMCH

    public class DLAMCH

extends java.lang.Object

    DLAMCH is a simplified interface to the JLAPACK routine dlamch.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLAMCH determines double precision machine parameters.
     *
     *  Arguments
     *  =========
     *
     *  CMACH   (input) CHARACTER*1
     *          Specifies the value to be returned by DLAMCH:
     *          = 'E' or 'e',   DLAMCH := eps
     *          = 'S' or 's ,   DLAMCH := sfmin
     *          = 'B' or 'b',   DLAMCH := base
     *          = 'P' or 'p',   DLAMCH := eps*base
     *          = 'N' or 'n',   DLAMCH := t
     *          = 'R' or 'r',   DLAMCH := rnd
     *          = 'M' or 'm',   DLAMCH := emin
     *          = 'U' or 'u',   DLAMCH := rmin
     *          = 'L' or 'l',   DLAMCH := emax
     *          = 'O' or 'o',   DLAMCH := rmax
     *
     *          where
     *
     *          eps   = relative machine precision
     *          sfmin = safe minimum, such that 1/sfmin does not overflow
     *          base  = base of the machine
     *          prec  = eps*base
     *          t     = number of (base) digits in the mantissa
     *          rnd   = 1.0 when rounding occurs in addition, 0.0 otherwise
     *          emin  = minimum exponent before (gradual) underflow
     *          rmin  = underflow threshold - base**(emin-1)
     *          emax  = largest exponent before overflow
     *          rmax  = overflow threshold  - (base**emax)*(1-eps)
     *
     * =====================================================================

     *
     *     .. Parameters ..

Constructor Summary
`DLAMCH()`

Method Summary
`static double` | `DLAMCH(java.lang.String cmach)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DLAMCH

    public DLAMCH()

Method Detail

### DLAMCH

    public static double DLAMCH(java.lang.String cmach)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD